summaryrefslogtreecommitdiffstats
path: root/dosbox
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2007-08-01 22:10:59 +0000
committer Eric Hameleers <alien@slackware.com>2007-08-01 22:10:59 +0000
commitaba2c8918daa62ced98b1c121c8e88209405e47d (patch)
tree2387fd25a7382c060634035d9d35531f081e3b29 /dosbox
parentbfa19e161604b3944ea6d10020ad41d574df7cfd (diff)
downloadasb-aba2c8918daa62ced98b1c121c8e88209405e47d.tar.gz
asb-aba2c8918daa62ced98b1c121c8e88209405e47d.tar.xz
Update.
Diffstat (limited to 'dosbox')
-rwxr-xr-xdosbox/build/dosbox.SlackBuild56
1 files changed, 18 insertions, 38 deletions
diff --git a/dosbox/build/dosbox.SlackBuild b/dosbox/build/dosbox.SlackBuild
index d7afde78..b1774602 100755
--- a/dosbox/build/dosbox.SlackBuild
+++ b/dosbox/build/dosbox.SlackBuild
@@ -25,6 +25,7 @@
# ===========================
# By: Eric Hameleers <alien@slackware.com>
# For: dosbox
+# Descr: A PC emulator with builtin DOS for running DOS Games
# URL: http://dosbox.sourceforge.net/
# Needs:
# Changelog:
@@ -34,6 +35,8 @@
# * Update.
# 0.70-1: 29/apr/2007 by Eric Hameleers <alien@slackware.com>
# * Update.
+# 0.71-1: 02/aug/2007 by Eric Hameleers <alien@slackware.com>
+# * Update.
#
# Run 'sh dosbox.SlackBuild --cleanup' to build a Slackware package.
# The package (.tgz) plus descriptive .txt file are created in /tmp .
@@ -41,10 +44,10 @@
#
# -----------------------------------------------------------------------------
-# --- INIT ---
+# Set initial variables:
PRGNAM=dosbox
-VERSION=${VERSION:-0.70}
+VERSION=${VERSION:-0.71}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
@@ -103,35 +106,20 @@ case "$ARCH" in
;;
esac
-if [ ! -d $TMP/tmp-$PRGNAM ]; then
- mkdir -p $TMP/tmp-$PRGNAM # location to build the source
-elif [ "$P1" != "--oldbuild" ]; then
- # If the "--oldbuild" parameter is present, we keep
- # the old build files and continue;
- # By default we remove the remnants of previous build and continue:
- rm -rf $TMP/tmp-$PRGNAM/*
-fi
-
-if [ ! -d $PKG ]; then
- mkdir -p $PKG # place for the package to be built
-else
- rm -rf $PKG/* # We always erase old package's contents:
-fi
-
-if [ ! -d $OUTPUT ]; then
- mkdir -p $OUTPUT # place for the package to be saved
-fi
-
-
-# --- SOURCE FILE AVAILABILITY ---
+mkdir -p $TMP/tmp-$PRGNAM # location to build the source
+rm -rf $TMP/tmp-$PRGNAM/* # By default we remove the remnants of previous build
+mkdir -p $PKG # place for the package to be built
+rm -rf $PKG/* # We always erase old package's contents:
+mkdir -p $OUTPUT # place for the package to be saved
+# Source file availability:
if ! [ -f ${SOURCE} ]; then
if ! [ "x${SRCURL}" == "x" ]; then
# Check if the $SRCDIR is writable at all - if not, download to $OUTPUT
[ -w "$SRCDIR" ] || SOURCE="$OUTPUT/`basename $SOURCE`"
echo "Source '`basename ${SOURCE}`' not available yet..."
echo "Will download file to `dirname $SOURCE`"
- wget -nv -O "${SOURCE}" "${SRCURL}" || true
+ wget -nv --connect-timeout=20 -O "${SOURCE}" "${SRCURL}" || true
if [ $? -ne 0 ]; then
echo "Downloading '`basename ${SOURCE}`' failed... aborting the build."
mv -f "${SOURCE}" "${SOURCE}".FAIL
@@ -148,9 +136,7 @@ if [ "$P1" == "--download" ]; then
exit 0
fi
-
-# --- PACKAGE BUILDING ---
-
+# Package building process:
echo "++"
echo "|| $PRGNAM-$VERSION"
echo "++"
@@ -169,12 +155,11 @@ if `file ${SOURCE} | grep -q ": bzip2"`; then
elif `file ${SOURCE} | grep -q ": gzip"`; then
tar -xzvf ${SOURCE}
fi
-chown -R root:root *
-chmod -R u+w,go+r-w,a-s *
cd ${PRGNAM}-${VERSION}
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
echo Building ...
-
CFLAGS="$SLKCFLAGS" \
LDFLAGS="$SLKLDFLAGS" \
./configure --prefix=/usr \
@@ -188,18 +173,16 @@ LDFLAGS="$SLKLDFLAGS" \
2>&1 | tee $OUTPUT/configure-${PRGNAM}.log
make 2>&1 | tee $OUTPUT/make-${PRGNAM}.log
-#
# Install all the needed stuff to the package dir
-#
# Use installwatch if available, to produce a logfile of the installation
# process that is more easily readable:
-if `which installwatch > /dev/null 2>&1`; then
+if $(which installwatch > /dev/null 2>&1); then
installwatch -o $OUTPUT/install-${PRGNAM}.log make DESTDIR=$PKG install
else
make DESTDIR=$PKG install 2>&1 |tee $OUTPUT/install-${PRGNAM}.log
fi
-# Documentation
+# Documentation:
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION || true
chmod -R a-w $PKG/usr/doc/$PRGNAM-$VERSION/*
@@ -213,10 +196,7 @@ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
cd -
-# Ownership, rights
-chmod -R o-w $PKG
-
-# Package description
+# Package description:
mkdir -p $PKG/install
cat $SRCDIR/slack-desc > $PKG/install/slack-desc
if [ -f $SRCDIR/doinst.sh ]; then